#!/bin/ksh

SCRIPTDIR=`dirname $0`
SPORTSINFDIR=/usr/samples/dirTalk/en_US/sportsinf
SPORTSINFGRAMDIR=/usr/samples/dirTalk/en_US/sportsinf/grammars

if [[ -d $SPORTSINFDIR ]]
then
	SPORTSUSER=`ls -ld $SPORTSINFDIR | tr -s ' ' ':' | cut -d: -f3`
	SPORTSGROUP=`ls -ld $SPORTSINFDIR | tr -s ' ' ':' | cut -d: -f4`

	if [[ ! -f $SPORTSINFDIR/userid.lst ]]
	then
		cp -f $SCRIPTDIR/userid.lst $SPORTSINFDIR
		chown $SPORTSUSER:$SPORTSGROUP $SPORTSINFDIR/userid.lst
	fi

	if [[ ! -f $SPORTSINFGRAMDIR/sportinf.userid.fsg ]]
	then
		cp -f $SCRIPTDIR/sportinf.userid.fsg $SPORTSINFGRAMDIR
		chown $SPORTSUSER:$SPORTSGROUP $SPORTSINFGRAMDIR/sportinf.userid.fsg
	fi

	if [[ ! -f $SPORTSINFGRAMDIR/sportinf.userid.bnf ]]
	then
		cp -f $SCRIPTDIR/sportinf.userid.bnf $SPORTSINFGRAMDIR
		chown $SPORTSUSER:$SPORTSGROUP $SPORTSINFGRAMDIR/sportinf.userid.bnf
	fi
	echo The Sports state table example application fix was installed successfully.
else
	echo The Sports state table example application is not installed.
	echo Please install the Sports state table example application and run the fix again.
fi